﻿Imports MyERP2.DAL

Interface IUnitOfWork
    Inherits IDisposable

    ReadOnly Property Articles As ArticleRepository
    ReadOnly Property Users As UserRepository
    ReadOnly Property UsersSettingsGrid As UserSettingsGridRepository
    ReadOnly Property Adress As AdressRepository
    ReadOnly Property ArticleSalesPrice As ArticleSalesPriceRepository
    ReadOnly Property ContactBase As ContactBaseRepository
    ReadOnly Property Client As ClientRepository
    ReadOnly Property Currency As CurrencyRepository
    ReadOnly Property DiscountGroup As DiscountGroupRepository
    ReadOnly Property Incoterm As IncotermRepository
    ReadOnly Property UserGroupRight As UserGroupRightRepository
    ReadOnly Property Language As LanguageRepository
    ReadOnly Property LegalForm As LegalFormRepository
    ReadOnly Property NumberRange As NumberRangeRepository
    ReadOnly Property ObjectDescription As ObjectDescriptionRepository
    ReadOnly Property ObjectNote As ObjectNoteRepository
    ReadOnly Property Prospect As ProspectRepository
    ReadOnly Property Protocol As ProtocolRepository
    ReadOnly Property Supplier As SupplierRepository
    ReadOnly Property TextDescriptionHeader As TextDescriptionHeaderRepository
    ReadOnly Property TextDescription As TextDescriptionRepository
    ReadOnly Property UserGroup As UserGroupRepository
    ReadOnly Property Unit As UnitRepository
    ReadOnly Property UserSettingsGridColumn As UserSettingsGridColumnRepository
    ReadOnly Property FilterDefinition As FilterDefinitionRepository
    ReadOnly Property FilterItem As FilterItemRepository
    Function Complete() As Integer
End Interface