Imports Model.Interfaces

Namespace MyERP2Model

    Partial Public Class Adress
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp


#Region "Properties"

        Public Property Id As Guid

        Public Property Type As Short?

        Public Property ContactBaseId As Guid?

        Public Property StockId As Guid?

        Public Property Adress1 As String

        Public Property Adress2 As String

        Public Property Zip As String

        Public Property Town As String

        Public Property Region As String

        Public Property Comments As String

#End Region

#Region "Navigation Properties"

        Public Overridable Property NvContactBase As ContactBase

#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region
    End Class
End Namespace
