﻿Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class UserSettingsGridColumn
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements ISequencedObject
#Region "Properties"
        Public Property Id As Guid
        Public Property UserSettingsGridId As Guid
        Public Property ColumnName As String
        Public Property IsVisible As Boolean
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvUserSettingsGrid As UserSettingsGrid
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
        Public Property SequenceNumber As Integer Implements ISequencedObject.SequenceNumber
#End Region

    End Class
End Namespace