﻿Namespace ViewModel
    Public Class CurrencyAddEditVM
        Inherits MyViewModelBase

        Dim vCurrentCurrency As CurrencyVM
        Public Property CurrentCurrency As CurrencyVM
            Get
                Return vCurrentCurrency
            End Get
            Set(value As CurrencyVM)
                vCurrentCurrency = value
                RaisePropertyChanged()
            End Set
        End Property

        Dim vFormTitle As String
        Public Property FormTitle As String
            Get
                Return vFormTitle
            End Get
            Set(value As String)
                vFormTitle = value
                RaisePropertyChanged()
            End Set
        End Property

        Sub New()
            Me.New(Nothing)
        End Sub

        Protected Friend Sub New(Optional _Currency As CurrencyVM = Nothing)
            If IsInDesignMode Then
                CurrentCurrency = New CurrencyVM With {.CurrName = "CurrName", .CurrSymbol = "CS", .CurrConversionRate = 1, .CurrConversionRateDate = Date.Now.AddDays(-1)}
            End If
            If _Currency IsNot Nothing Then
                CurrentCurrency = _Currency
                FormTitle = "Währung bearbeiten"
            Else
                CurrentCurrency = New CurrencyVM
                FormTitle = "Währung hinzufügen"
            End If
        End Sub
    End Class
End Namespace

