﻿Imports System.Collections.ObjectModel
Imports System.Windows.Data
Imports Model.MyERP2Model
Imports MyERP2.BL.Persistence

Namespace ViewModel
    Public Class ArticlesOverviewVM
        Inherits MyViewModelBase
        Dim _UnitofWork As New UnitOfWork

        Dim __Articles As New ObservableCollection(Of ArticleVM)
        Public Property Articles As ListCollectionView

        Sub New()
            If IsInDesignMode Then
                For i = 1 To 2
                    __Articles.Add(New ArticleVM With {.ArtNr = "ArtNr" & i.ToString, .Description1 = "Description 1- " & i.ToString})
                Next
            Else
                Dim AllArticles As List(Of Article) = _UnitofWork.ArticlesRepo.GetAll.ToList
                AllArticles.ForEach(Sub(x) __Articles.Add(New ArticleVM(x)))
                Articles = New ListCollectionView(__Articles)
            End If
        End Sub

    End Class
End Namespace