﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces
Imports Model.MyERP2Model

Namespace ViewModel
    Public Class FilterDefinitionVM
        Inherits MyViewModelBase
        Implements ILogicalTimestamp

        Dim _BaseItem As FilterDefinition

        Public Sub New()
        End Sub
        Friend Sub New(__BaseItem As FilterDefinition)
            _BaseItem = __BaseItem
        End Sub

#Region "Properties"
        Public Property Id As Guid
            Get
                Return _BaseItem.Id
            End Get
            Set(value As Guid)
                _BaseItem.Id = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property RelatesToType As String
            Get
                Return _BaseItem.RelatesToType
            End Get
            Set(value As String)
                _BaseItem.RelatesToType = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property Description As String
            Get
                Return _BaseItem.Description
            End Get
            Set(value As String)
                _BaseItem.Description = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region

#Region "Navigation Properties"
        Public Overridable Property NVFilterItems As New ObservableCollection(Of FilterItemVM)
#End Region

#Region "Interfaces"
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
            Get
                Return _BaseItem.LastUpdateTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.LastUpdateTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
            Get
                Return _BaseItem.CreationTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.CreationTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region


    End Class
End Namespace