﻿''' <summary>
''' Class which defines an Authorization in the System.
''' Each Usergroup has specific amounts of Authorizations.
''' this Class is more or less used to have an Authorization Repository
''' Only the Key of the Authorization is used to save in a database
''' </summary>
Public Class AuthorizationItem

    Sub New()

    End Sub

    Sub New(_Category As String, _Key As String, _Name As String, Optional _Description As String = "")
        Category = _Category
        Key = _Key
        Name = _Name
        Description = _Description
    End Sub

    Dim vCategory As String
    Public Property Category As String
        Get
            Return vCategory
        End Get
        Set(value As String)
            vCategory = value
        End Set
    End Property

    Dim vKey As String

    Public Property Key As String
        Get
            Return vKey
        End Get
        Set(value As String)
            vKey = value
        End Set
    End Property

    Dim vName As String
    Public Property Name As String
        Get
            Return vName
        End Get
        Set(value As String)
            vName = value
        End Set
    End Property

    Dim vDescription As String
    Public Property Description As String
        Get
            Return vDescription
        End Get
        Set(value As String)
            vDescription = value
        End Set
    End Property

    Public Function GetKey() As String
        Return Key
    End Function

    Public Overrides Function ToString() As String
        Return $"{Key} - {Name} - {Description}"
    End Function

End Class
