Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class ArticleSalesPrice
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements IProtocolable

#Region "Mapped"
        Public Property Id As Guid
        Public Property ArtNr As Guid
        Public Property ValidFrom As Date
        Public Property ValidTo As Date
        Public Property Price As Decimal
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvArtikel As Article
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
        Public Property Protocol As ICollection(Of Protocol) Implements IProtocolable.Protocol
#End Region

    End Class
End Namespace