Imports System.Collections.ObjectModel
Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class Incoterm
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
#Region "Mapped"
        Public Property Id As Guid
        Public Property IncoShort As String
        Public Property IncoLong As String
        Public Property IncoComment As String
        Public Property IsActive As Boolean?
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvContactBase As New ObservableCollection(Of ContactBase)
#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
#End Region

    End Class
End Namespace