Imports Model.Interfaces

Namespace MyERP2Model
    Partial Public Class Supplier
        Inherits ModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp
        Implements IProtocolable
        'es fehlt noch:whrungscode
        'Dim vVatNo As String


        'Not Used:
        'Kontakt
        'Einkufer
        'Unternehmenskette
        'IC-Partnercode
        'StandardDeliveryTerms

#Region "Mapped"
        Public Property Id As Guid
        Public Property IdentNr As String
        Public Property IsPrivate As Boolean
        Public Property IsLocked As Boolean
        Public Property Name1 As String
        Public Property Name2 As String

#Region "Address"
        Public Property Address1 As String
        Public Property Address2 As String
        Public Property ZipCode As String
        Public Property Place As String
        Public Property CountryCode As String
#End Region

#Region "Contact"
        Public Property PhoneNo As String
        Public Property MobileNo As String
        Public Property EMail As String
        Public Property PurchaseEMail As String
        Public Property Homepage As String
#End Region

#Region "Accouting"
        Public Property PricesInclVat As Boolean
        Public Property CreditLimit As Decimal
        Public Property CreditLimitChangeDate As Date
        Public Property VatNo As String
#End Region

#End Region

#Region "Navigation Properties"

#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
        Public Property Protocol As ICollection(Of Protocol) Implements IProtocolable.Protocol
#End Region
    End Class

End Namespace
