Imports System.Collections.ObjectModel
Imports Model.Interfaces
Imports Model.MyERP2Model

Namespace ViewModel

    Partial Public Class AdressVM
        Inherits MyViewModelBase
        Implements ILogicalDelete
        Implements ILogicalTimestamp

        Dim _BaseItem As Adress

        Public Sub New()
        End Sub
        Friend Sub New(__BaseItem As Adress)
            _BaseItem = __BaseItem
        End Sub


#Region "Properties"

        Public Property Id As Guid
            Get
                Return _BaseItem.Id
            End Get
            Set(value As Guid)
                _BaseItem.Id = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Type As Short?
            Get
                Return _BaseItem.Type
            End Get
            Set(value As Short?)
                _BaseItem.Type = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property ContactBaseId As Guid?
            Get
                Return _BaseItem.ContactBaseId
            End Get
            Set(value As Guid?)
                _BaseItem.ContactBaseId = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property StockId As Guid?
            Get
                Return _BaseItem.StockId
            End Get
            Set(value As Guid?)
                _BaseItem.StockId = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Adress1 As String
            Get
                Return _BaseItem.Adress1
            End Get
            Set(value As String)
                _BaseItem.Adress1 = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Adress2 As String
            Get
                Return _BaseItem.Adress2
            End Get
            Set(value As String)
                _BaseItem.Adress2 = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Zip As String
            Get
                Return _BaseItem.Zip
            End Get
            Set(value As String)
                _BaseItem.Zip = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Town As String
            Get
                Return _BaseItem.Town
            End Get
            Set(value As String)
                _BaseItem.Town = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Region As String
            Get
                Return _BaseItem.Region
            End Get
            Set(value As String)
                _BaseItem.Region = value
                RaisePropertyChanged()
            End Set
        End Property

        Public Property Comments As String
            Get
                Return _BaseItem.Comments
            End Get
            Set(value As String)
                _BaseItem.Comments = value
                RaisePropertyChanged()
            End Set
        End Property

#End Region

#Region "Navigation Properties"

        Public Overridable Property NvContactBase As ContactBaseVM

#End Region

#Region "Interfaces"
        Public Property DeletedFlag As Boolean Implements ILogicalDelete.DeletedFlag
            Get
                Return _BaseItem.DeletedFlag
            End Get
            Set(value As Boolean)
                _BaseItem.DeletedFlag = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property DeletedTimestamp As Date? Implements ILogicalDelete.DeletedTimestamp
            Get
                Return _BaseItem.DeletedTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.DeletedTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property LastUpdateTimestamp As Date? Implements ILogicalTimestamp.LastUpdateTimestamp
            Get
                Return _BaseItem.LastUpdateTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.LastUpdateTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property CreationTimestamp As Date? Implements ILogicalTimestamp.CreationTimestamp
            Get
                Return _BaseItem.CreationTimestamp
            End Get
            Set(value As Date?)
                _BaseItem.CreationTimestamp = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region
    End Class
End Namespace
