﻿Imports System.Collections.ObjectModel
Imports Model.Interfaces
Imports Model.MyERP2Model

Namespace ViewModel
    Public Class UserUserGroupVM
        Inherits MyViewModelBase

        Dim _BaseItem As UserUserGroup

        Public Sub New()
        End Sub
        Friend Sub New(__BaseItem As UserUserGroup)
            _BaseItem = __BaseItem

            NvUser = New UserVM(__BaseItem.NvUser)
            NvUserGroup = New UserGroupVM(__BaseItem.NvUserGroup)


        End Sub

#Region "Properties"
        Public Property UserId As Guid
            Get
                Return _BaseItem.UserId
            End Get
            Set(value As Guid)
                _BaseItem.UserId = value
                RaisePropertyChanged()
            End Set
        End Property
        Public Property UserGroupId As Guid
            Get
                Return _BaseItem.UserGroupId
            End Get
            Set(value As Guid)
                _BaseItem.UserGroupId = value
                RaisePropertyChanged()
            End Set
        End Property
#End Region

#Region "Navigation Properties"
        Public Overridable Property NvUser As UserVM
        Public Overridable Property NvUserGroup As UserGroupVM
#End Region

    End Class
End Namespace

